Name:           perl-MIME-Base64-URLSafe
Version:        0.01
Release:        2%{?dist}
Summary:        Perl version of Python's URL-safe base64 codec

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~kazuho/MIME-Base64-URLSafe-%{version}/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KAZUHO/MIME-Base64-URLSafe-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl version of Python's URL-safe base64 codec  

%prep
%setup -q -n MIME-Base64-URLSafe-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{perl_vendorlib}/MIME/Base64/URLSafe*
%{_mandir}/man3/*.3*


%changelog
* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 0.01-1
- Initial rpm release.
